Bug 1860100 - Upgrade from OCP 4.3.z to 4.4.0 with v1alpha1 snapshot CRDs fails.
Summary: Upgrade from OCP 4.3.z to 4.4.0 with v1alpha1 snapshot CRDs fails.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.3.z
Assignee: Christian Huffman
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On: 1858168
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-23 18:00 UTC by Christian Huffman
Modified: 2020-08-27 19:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1858168
Environment:
Last Closed: 2020-08-19 11:10:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-storage-operator pull 63 None closed [release-4.3] Bug 1860100: Includes validation check for VolumeSnapshot v1alpha1 CRDs 2020-10-07 20:59:19 UTC
Red Hat Product Errata RHBA-2020:3259 None None None 2020-08-19 11:10:50 UTC

Comment 6 errata-xmlrpc 2020-08-19 11:10:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.3.33 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3259

Comment 7 W. Trevor King 2020-08-27 19:13:39 UTC
Fix here landed in 4.3.32, which we scrapped in favor of 4.3.33 [1], but the implementation blocked 4.3.* -> 4.3.33 updates.  I've filed bug 1873299 discussing the new breakage.

[1]: https://github.com/openshift/cincinnati-graph-data/pull/391#issuecomment-675082087


Note You need to log in before you can comment on or make changes to this bug.